Bug 535374 - (RHQ-2077) on Inventory tab, under General Properties, it is not clear what the text in parens following the resource type name represents
on Inventory tab, under General Properties, it is not clear what the text in ...
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
: FutureFeature, Improvement
Depends On:
Blocks: rhq4
  Show dependency treegraph
Reported: 2009-05-12 09:03 EDT by John Mazzitelli
Modified: 2011-05-23 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-05-23 21:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-05-12 09:03:00 EDT
For example, for a JON Agent resource:

Type: JON Agent (JONAgent)

and for a Windows platform resource:

Windows (Platforms)

The parens contain the plugin name. I did this be cause type names are only unique to their plugin. For example, how do we differentiate between a "Table (Oracle)" and a "Table (Postgres)". I was intending to add this to pretty much everywhere we show the type names. For example, there's no way to tell apart the postgres and oracle table types in the drop-down type selection on the resource hub browser.

"Table (Postgres)" is useful, but "JON Agent (JONAgent)" and "Windows (Platforms)" are not useful and will only confuse users. We should only append the plugin name if there is more than one resource type with the same name (this would be simple enough to query).

Or, we have a separate "Plugin:" field in the UI:

Type: Windows
Plugin: Platform
Comment 1 Charles Crouch 2009-09-01 10:52:32 EDT
Moving features/improvements to 1.4
Comment 2 Red Hat Bugzilla 2009-11-10 15:57:18 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2077
Comment 3 wes hayutin 2010-02-16 12:09:42 EST
mass add of key word FutureFeature to help track
Comment 4 John Mazzitelli 2011-02-11 17:23:08 EST
hover over the text and you'll get a tooltip that explains the plugin name is the thing in the parens
Comment 5 Corey Welton 2011-05-23 21:10:13 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.